Bug 641457 - FCoE: Do not fall back to non-FIP FLOGI [rhel-6.0.z]
Summary: FCoE: Do not fall back to non-FIP FLOGI [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: 6.1
Assignee: Frantisek Hrbata
QA Contact: Storage QE
URL:
Whiteboard:
Depends On: 636233
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 18:56 UTC by Benjamin Kahn
Modified: 2010-11-11 12:01 UTC (History)
20 users (show)

Fixed In Version: kernel-2.6.32-71.4.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, timing issues could cause the FIP (FCoE Initialization Protocol) FLOGIs to timeout even if there were no problems. This caused the kernel to go into a non-FIP mode even though it should have been in the FIP mode. With this update, the timing issues no longer occur and the kernel no longer switches to the non-FIP mode when logging to the Fibre Channel Switch/Forwarder.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:11:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description Benjamin Kahn 2010-10-08 18:56:40 UTC
This bug has been copied from bug #636233 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 3 Frantisek Hrbata 2010-10-12 18:53:35 UTC
in kernel-2.6.32-71.4.1.el6

Comment 5 Gris Ge 2010-10-15 07:18:28 UTC
Cannot reproduce this issue with "Emulex LPe12002-M8".
It's firmware version is :
1.11A5 (U3D1.11A5), sli-3

Kernel version: 2.6.32-71.el6.x86_64
Reboot 5 times, no lpfc kernel panic came out.

As comment #1 spot out:
>Emulex believes there is exposure to this issue in large SAN environment where
>the device discovery process could see delayed responses which result in iocbs
>being queued.

Do we need a large SAN environment to reproduce this issue?

Comment 6 Gris Ge 2010-10-15 07:22:13 UTC
Please kindly ignore previous update

Comment 9 Jack Morgan 2010-10-27 00:54:02 UTC
Verified fixed by Intel

Comment 11 errata-xmlrpc 2010-11-10 19:11:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 12 Martin Prpič 2010-11-11 12:01:26 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, timing issues could cause the FIP (FCoE Initialization Protocol) FLOGIs to timeout even if there were no problems. This caused the kernel to go into a non-FIP mode even though it should have been in the FIP mode. With this update, the timing issues no longer occur and the kernel no longer switches to the non-FIP mode when logging to the Fibre Channel Switch/Forwarder.


Note You need to log in before you can comment on or make changes to this bug.